﻿using UnityEngine;
using HarmonyLib;

public class kelpgoo : Mod
{
    public void Start()
    {
        renameItem(ItemManager.GetItemByName("VineGoo"), "Kelp Goo");
        Debug.Log("Mod kelpgoo was loaded successfully!");
    }

    public void OnModUnload()
    {
        renameItem(ItemManager.GetItemByName("VineGoo"), "Vine Goo");
        Debug.Log("Mod kelpgoo has been unloaded!");
    }

    private static void renameItem(Item_Base instance, string newname)
    {
        instance.settings_Inventory.DisplayName = newname;
        // Currently nulls the localization term because otherwise it would be overwritten when changing languages. 
        // Not ideal. I'd like to find a better solution, but this will work for now.
        instance.settings_Inventory.LocalizationTerm = null;
    }
}
